1. Report
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
    • Get Product By ID
    • products with inventory
    • product details with Inventory By Product ID
    • Product Variant List ID & Name
    • Variant Details By Variant ID
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
      POST
    • Purchase Item Register Report
      POST
    • Stock Summary Report
      POST
    • Stock Transfer Item Register Report
      POST
    • Consumption Production Report
      POST
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Report

Stock Summary Report

POST
/api/v1/report/stock-summary

Stock Summary Report#

Purpose#

Retrieve stock movement and stock summary information for products within a specified date range.

Why would you use this?#

Use this API when your system needs inventory movement and stock summary data for products.
Common use cases:
Inventory reporting
Stock reconciliation
ERP integrations
Warehouse management
Inventory analytics
Product movement analysis

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
branchListYesComma-separated Branch IDs
fromDateYesStart date in UTC format (ISO 8601)
toDateYesEnd date in UTC format (ISO 8601)
limitYesNumber of records to retrieve
offsetYesNumber of records to skip
productNoProduct ID(s) to filter records
categoryNoCategory ID(s) to filter records
subCategoryIdNoSub Category ID(s) to filter records
brandNoBrand ID(s) to filter records
subBrandIdNoSub Brand ID(s) to filter records

Information Returned#

Product Information
Branch Information
Opening Stock
Stock In Quantity
Stock Out Quantity
Pricing Information
Product Classification

Important Notes#

fromDate and toDate must be provided in UTC format (ISO 8601).
The report returns stock movement data between the specified fromDate and toDate range.
Minimum limit 1 and maximum can be 500.
Minimum offset 0.
Multiple Branch IDs can be provided using comma-separated values.
All filter fields except date range, branchList, limit, and offset are optional.
Use pagination for large datasets.
Opening stock represents stock available at the beginning of the selected period.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/report/stock-summary' \
--header 'api-token: {{.in-api-token}}' \
--header 'Content-Type: application/json' \
--data '{
  "branchList": "24448",
  "fromDate": "2026-03-31T18:30:00Z",
  "toDate": "2027-04-01T18:29:59Z",
  "product": "",
  "category": "",
  "subCategoryId": "",
  "brand": "",
  "subBrandId": "",
  "limit": 2,
  "offset": 0
}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Stock Summary List",
    "code": "200",
    "response": {
        "totalCount": 4487,
        "items": [
            {
                "productId": 18172417,
                "productVariantId": 20335005,
                "branchName": "my business",
                "itemCode": "ITEM101",
                "productName": "ITEM101",
                "categoryName": "Chocolate",
                "variantName": null,
                "unit": "PCS",
                "mrp": 315.0,
                "sellingPrice": 315.0,
                "discount": 0.0,
                "discountType": "percentage",
                "purchasePrice": 169.49,
                "openingStock": 0.0,
                "inQty": 3.0,
                "outQty": 4.0
            },
            {
                "productId": 18172418,
                "productVariantId": 20335006,
                "branchName": "my business",
                "itemCode": "ITEM102",
                "productName": "ITEM102",
                "categoryName": "Chocolate",
                "variantName": null,
                "unit": "PCS",
                "mrp": 200.0,
                "sellingPrice": 200.0,
                "discount": 0.0,
                "discountType": "percentage",
                "purchasePrice": 84.75,
                "openingStock": 0.0,
                "inQty": 1.0,
                "outQty": 2.0
            }
        ]
    }
}
Previous
Purchase Item Register Report
Next
Stock Transfer Item Register Report
Built with